Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Interface RandomVectorGenerator

All Known Implementing Classes:
  CorrelatedRandomVectorGenerator, UncorrelatedRandomVectorGenerator, UnitSphereRandomVectorGenerator

    public interface RandomVectorGenerator

This interface represents a random generator for whole vectors.

Since:
  1.2
Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double[]` | `nextVector()` Generate a random vector.

Method Detail

### nextVector

    double[] nextVector()

  Generate a random vector.

  Returns:
    a random vector as an array of double.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation